// l61+l144_pospieszny.scm

//obsuga ruchu na linii 61
config joinduplicatedevents yes endconfig
include linia61/lbc_2011r.ctr end
include linia61/pwk_2011r.ctr end
include linia61/pld_2011r.ctr end
//include linia61/fo_2011r.ctr end
config joinduplicatedevents no endconfig

//Ra 2G9S: na blokadzie liniowej Bln1-HrS1 znajduje si pocig towarowy, ktry zjeda do Herbw
//Ra 2G9S: trzeba albo zaj blokad, albo zrobi mu wyjazd z Blachowni wczeniej
event Bln1-HrS1:onstart updatevalues 0 Bln1-HrS1 rozklad 1 24 endevent //blokada zajta skadem (24 pojazdy)

//Ra 2G6F: przerbka na Bolko z 2008, odjazd z Ozimka o 8:41 -  w zasadzie teraz ju nie musimy koczy w Stradomiu
//Ra 2F9B: w Herbach mijamy towarowy, a potem za Herbami na szlaku - to nie moe tak by, z Blachowni by dopiero wyjecha

//wpisy przeniesione z SCN

node -1 0 szumy sound 41155.159 261 -15052.79 radiotelefon/szumy.wav endsound
node -1 0 kier_mech sound 38518.827 261 -12671.001 radiotelefon/kier_mech.wav endsound
node -1 0 klucze sound 37067.491 261 -11359.805 radiotelefon/klucze.wav endsound
node -1 0 do_pol_godz sound 35301.807 261 -10407.09 radiotelefon/do_pol_godz.wav endsound
node -1 0 robie_dla_pana_wjazd sound 34182.681 261 -9547.682 radiotelefon/robie_dla_pana_wjazd.wav endsound
node -1 0 wyjazd_na_zastepczy sound 33443.019 261 -9458.481 radiotelefon/wyjazd_na_zastepczy.wav endsound
node -1 0 odp_satysfakcjonujaca sound 32848.119 261 -9744.313 radiotelefon/odp_satysfakcjonujaca.wav endsound
node -1 0 szumy1 sound 28629.947 261 -9296.105 radiotelefon/szumy1.wav endsound
node -1 0 radiotelefon_10 sound 27653.196 261 -9216.27 radiotelefon/radiotelefon_10.wav endsound
node -1 0 pospiech_wjazd_mija sound 26384.291 261 -9100.09 radiotelefon/pospiech_wjazd_mija.wav endsound
node -1 0 117_odjazd sound 24723.034 261 -8979.641 radiotelefon/117_odjazd.wav endsound
node -1 0 ostrzezenie_przed_MK sound 22957.774 261 -8514.942 radiotelefon/ostrzezenie_przed_mk.wav endsound
node -1 0 poczekamy_z_wyjazdem sound 19045.308 261 -7280.305 radiotelefon/poczekamy_z_wyjazdem.wav endsound
node -1 0 mozecie_sobie_jezdzic sound 18427.699 261 -7293.902 radiotelefon/mozecie_sobie_jezdzic.wav endsound
node -1 0 kier_mozemy_jechac sound 18427.699 261 -7293.902 radiotelefon/kier_mozemy_jechac.wav endsound
node -1 0 szumy4 sound 17569.447 261 -7346.286 radiotelefon/szumy4.wav endsound
node -1 0 szumy3 sound 12899.803 261 -7464.672 radiotelefon/szumy3.wav endsound
node -1 0 posp_pod_wjazdem sound 10925.302 261 -7704.509 radiotelefon/posp_pod_wjazdem.wav endsound
node -1 0 wywolanie_selektywne sound 10484.994 261 -7705.373 wywolanie_selektywne.wav endsound
node -1 0 podany_semafor2 sound 10484.994 261 -7705.373 radiotelefon/podany_semafor2.wav endsound

node -1 0 wroclaw_wjezdza_zapowiedz sound 9510.963 261 -8556.602 radiotelefon/wroclaw_wjezdza_zapowiedz.wav endsound

node -1 0 rp14_420 sound 41759.102 266.18 -15598.321 radiotelefon/rp14_420.wav endsound
event rp14_420 sound 9 rp14_420 1 endevent

//mechanizm losujcy jedn z 3 wartoci w komrce
node -1 0 losowa memcell 0 0 0 nic 0 2 none endmemcell
event losowa.0 updatevalues 0 losowa * * 0 endevent
event losowa.1 updatevalues 0 losowa * * 1 endevent
event losowa.2 updatevalues 0 losowa * * 2 endevent
event losuj multiple 0 none losowa.0 else losuj.12 condition propability 0.3333 endevent //jedna trzecia, e zero
event losuj.12 multiple 0 none losowa.1 else losowa.2 condition propability 0.5 endevent //po jednej trzeciej, e 1 albo 2


event zdarzenie_poczatkowe_onstart multiple 30.0 none L144_p54.2_zamykaj L144_p52.5_zamykaj ozimek_odjazd endevent
event ozimek_odjazd multiple 20.0 none Ok_B_s2 rp14_420 endevent
event szumy sound 0.0 szumy 1 endevent
event kier_mech sound 0.0 kier_mech 1 endevent
event ozimek_fos multiple 0.0 none kier_mech L144_p47.8_zamykaj L144_p47.6_zamykaj endevent
event klucze sound 0.0 klucze 1 endevent
event do_pol_godz sound 0.0 do_pol_godz 1 endevent
event robie_dla_pana_wjazd sound 0.0 robie_dla_pana_wjazd 1 endevent
event fos_ozim1:event2 multiple 0 none fos_robie else L144_p45.0_zamykaj Fo_23:- wjazd_fos_1 condition propability 0.5 endevent
event fos_robie multiple 15 none L144_p45.0_zamykaj Fo_23:- robie_dla_pana_wjazd wjazd_fos_1 randomdelay 10 endevent //semafor wjazdowy z opnieniem
event wjazd_fos_1 multiple 5 none Fo_N_s13 endevent
event wyjazd_na_zastepczy sound 0.0 wyjazd_na_zastepczy 1 endevent
event wyjazd_fos:event2 multiple 7 none przejazd2fos_zamykaj Fo_2:- Fo_3:- Fo_5:bc losuj wyjazd_fos.S10 wyjazd_fos.Sz1 wyjazd_fos.Sz10 endevent
event wyjazd_fos.S10 multiple 1 losowa else Fo_G2_s10 condition memcompare * * 1 endevent //normalne S10 w przypadku 0 i 2
event wyjazd_fos.Sz1 multiple 1 losowa wyjazd_na_zastepczy Fo_G2_sz1 condition memcompare * * 1 endevent //zwyky zastpczy
event wyjazd_fos.Sz10 multiple 2 losowa wyjazd_na_zastepczy Fo_G2_sz condition memcompare * * 2 endevent //z S10, a co
event fosowskie_g2_sem_info:event1 multiple 0 losowa Fo_G2_sem_ligh1 condition memcompare * * 2 randomdelay 3 endevent //wygaszamy S10, gdy jest podane Sz, ale Sz miga dalej
event odp_satysfakcjonujaca sound 0.0 odp_satysfakcjonujaca 1 endevent
event szumy1 sound 0.0 szumy1 1 endevent
event fos_pludry multiple 0.0 none szumy1 endevent
event radiotelefon_10 sound 0.0 radiotelefon_10 1 endevent
event wjazd_pludry multiple 0.0 none L61_p168.3_zamykaj Pld_B_s2 Pld_H_s2 radiotelefon_10 endevent
event pospiech_wjazd_mija sound 0.0 pospiech_wjazd_mija 1 endevent
event 117_odjazd sound 2.0 117_odjazd 1 endevent
event pludry_paw multiple 0.0 none 117_odjazd Pld_16:- Pld_14:- Pld_F_s10 endevent
event ostrzezenie_przed_MK sound 0.0 ostrzezenie_przed_MK 1 endevent
event wjazd_paw multiple 0.0 none Pwk_13:- Pwk_14:- Pwk_N_s13 endevent
event poczekamy_z_wyjazdem sound 0.0 poczekamy_z_wyjazdem 1 endevent
event wjazd_paw_1 multiple 20.0 none L61_p161.1_zamykaj Pwk_14:+ Pwk_A_s2 Pwk_M_s2 endevent
event CTL_RP1 putvalues 0 none 18527.205 261 -7281.151 Warning_signal 1 1 endevent
event mozecie_sobie_jezdzic sound 0.0 mozecie_sobie_jezdzic 1 endevent
event kier_mozemy_jechac sound 8.0 kier_mozemy_jechac 1 endevent
event wyjazd_paw multiple 0.0 none Pwk_4:- Pwk_5:- mozecie_sobie_jezdzic Pwk_D_s10 kier_mozemy_jechac endevent
event szumy4 sound 0.0 szumy4 1 endevent
event paw_lbc multiple 0.0 none L61_p157.6_zamykaj L61_p157.2_zamykaj L61_p156.9_zamykaj endevent
event szumy3 sound 0.0 szumy3 1 endevent
event posp_pod_wjazdem sound 0.0 posp_pod_wjazdem 1 endevent
event wywolanie_selektywne sound 0.0 wywolanie_selektywne 1 endevent
event podany_semafor2 sound 0.0 podany_semafor2 1 endevent
event Maxima multiple 3.0 none Lbc_87:- Lbc_93:+ Lbc_98:- Lbc_100:- Lbc_103:- Lbc_106:bc Lbc_O_s10 endevent
event paw_lbc_1 multiple 0.0 none Lbc_94:- Lbc_95:- Lbc_104:- Lbc_105:- Lbc_109:ad wywolanie_selektywne paw_lbc_2 endevent
event paw_lbc_2 multiple 3.0 none L61-p152.6_zamykaj L61_p153.2_zamykaj L61_p153.4_zamykaj L61_p153.7_zamykaj L61_p154.2_zamykaj lbc_Z_s13 podany_semafor2 Maxima endevent
event wroclaw_wjezdza_zapowiedz sound 4.0 wroclaw_wjezdza_zapowiedz 1 endevent

//resztki po unifikacji klonw

event Pwk_zdawka:event1 multiple 0 none szumy3 endevent

event change0_cell2 multiple 0 none endevent //Ra 2f8f: taki pustak, bo "tlk" potrzebuje

event Lbc_posp_pod_wjazdem:event2 multiple 0 none posp_pod_wjazdem endevent
event fos_pludry:event1 multiple 0 none fos_pludry endevent
event Fo_23:event1 multiple 0 none Fo_H1_s1 Fo_H6_s1 Fo_H4_s1 Fo_H2_s1 endevent
event Fo_36:event1 multiple 0 none Fo_K52_s1 Fo_K51_s1 endevent

event ostrzezenie_przed_MK:event2 multiple 0 none ostrzezenie_przed_MK endevent
event wjazd_paw:event2 multiple 0 none wjazd_paw endevent

event manewrypludry:event1 multiple 0 none pludry_paw endevent

event Pld_H:event1 multiple 0 none pospiech_wjazd_mija endevent //konflikt z Pld_H?
event wjazd_pludry:event1 multiple 0 none wjazd_pludry endevent
event Pwk_L:event1 multiple 0 none poczekamy_z_wyjazdem endevent
event wjazd_paw_1:event2 multiple 0 none wjazd_paw_1 endevent
event wyjazd_paw:event1 multiple 0 none wyjazd_paw endevent
event CTL_RP1:event1 multiple 0 none CTL_RP1 endevent
event szumy4:event2 multiple 0 none szumy4 endevent
event przejazd847:event2 multiple 0 none paw_lbc endevent
event oz_tor1_b:event2 multiple 0 none szumy endevent

include slimson/slupki.inc UnikalnaNazwa04 41152.707 260.8 -15050.565 132.096 40 end

event klucze:event1 multiple 0 none klucze endevent
event ozimek_fos:event2 multiple 0 none ozimek_fos endevent
event do_pol_godz:event2 multiple 0 none do_pol_godz endevent
event xxx:event2 multiple 0 none paw_lbc_1 endevent

event Fo_5_bb:event2 multiple 0 none odp_satysfakcjonujaca endevent

//Ra 2F83: dalsze wpisy s przeniesione z popiesznego Lubliniec - Stradom

node 800 0 odjazd_01_wav sound 9835.982 260.5 -8203.412 radiotelefon/linia61/l61_bolko_zapowiedz_lbc1.wav endsound
node 800 0 odjazd_02_wav sound 9834.762 261.2 -8205.286 radiotelefon/linia61/l61_lbc_zapowiedz_t_gory_0733.wav endsound
node 800 0 odjazd_08_wav sound 9834.551 260.4 -8208.885 radiotelefon/linia61/l61_bolko_odjazd_kierownik_gwizdek.wav endsound
node 800 0 odjazd_04_wav sound 7930.92 260.4 -8531.858 radiotelefon/linia61/l61_kontrola3.wav endsound
node 800 0 odjazd_07_wav sound -3728.297 264.4 111.169 radiotelefon/linia61/l61_bolko_odjazd_kierownik_gwizdek.wav endsound
node 800 0 odjazd_09_wav sound -2326.097 264.4 -654.78 radiotelefon/linia61/4220_herby_po_boku.wav endsound

node -1 0 radiostop_conv sound -13931 260 -4907 radiotelefon/linia61/[2193]rs_1.wav endsound
event rs_conv_start sound 0.0 radiostop_conv 1 endevent

event odjazd_01:event1 sound 1.0 odjazd_01_wav 1 endevent
event odjazd_02 sound 1.0 odjazd_02_wav 1 endevent
event odjazd_08 sound 1.0 odjazd_08_wav 1 endevent
event odjazd_04:event2 sound 1.0 odjazd_04_wav 1 endevent
event odjazd_07 sound 1.0 odjazd_07_wav 1 endevent
event odjazd_09 sound 1.0 odjazd_09_wav 1 endevent
event start_os multiple 1.0 none Lbc_B_s13 Lbc_9:bd Lbc_11:- Lbc_10:bc endevent
//event start_posp multiple 1.0 none Lbc_12:bc Lbc_14:ad Jw_ItE>Kwc2 Jw_ItE:loop Lbc_4:bd Lbc_K_s2 odjazd_01:event1 endevent
event hs_naszwjazd multiple 1.0 none HrS_35:ad HrS_33:bc HrS_W_s10 endevent
event hs_starttow:event2 multiple 1.0 none HrS_3:bc HrS_4:- HrS_A_s13 hs_naszwjazd HrS_D_s10 odjazd_09 endevent //Ra 2F95: od HrS_A wjeda towarowy, ktrego prawie nie wida
event hs_naszodjazd:event2 multiple 1.0 none HrS_S_s2 HrS_K_s2 HrS_7:ad HrS_8:bc endevent

node 800 0 rs memcell -13931 260 -4907 puste 1 1 none endmemcell
event start_rs multiple 0.0 none rs_conv_start wstaw_rs condition propability 0.1 endevent
event wstaw_rs updatevalues 0.0 rs Emergency_brake 1 1 endevent
event rs:event2 getvalues 3.0 rs endevent

// l61_pospieszny1_lbc.scm 300

event start_rs-po1:event2 multiple 0 none start_rs endevent
event t109:event2 multiple 0 none HrS_39:- endevent
event t127:event2 multiple 0 none HrN_15:bc endevent
event t128:event2 multiple 0 none HrN_4:+ endevent
event t129:event2 multiple 0 none HrN_5:- endevent
event t130:event2 multiple 0 none HrN_11:- endevent
//event hs_naszwjazd:event1 multiple 0 none hs_naszwjazd endevent
event przelot_cell:event1 multiple 0 none Lsw_ItF>HrS2 Lsw_ItF:loop endevent
event up_r2_1:event1 multiple 60 Lis_It1 else Lis_It1>Kwc1 Lis_It1:loop condition memcompare * * 0 endevent
event kwc_przelot multiple 0 none odjazd_01:event1 Kwc_P_s2 Kwc_E_s2 L61-p145.3_zamykaj Lis_It2=Kwc2 Lis_It2:loop endevent
event lbc_jedynka:event1 multiple 0 none odjazd_02 endevent
event wroclaw_wjezdza_zapowiedz:event2 multiple 0 none Lbc_13:- Lbc_J3_s10 Lbc_12:bd Lbc_4:bd Jw_ItE>Kwc2 Jw_ItE:loop Lbc_K_s2 kwc_przelot endevent //Ra 2f84: wyjazd z Lbc po postoju przy peronie
event Lbc_t503:event2 multiple 0 none odjazd_08 endevent
//event t201:event2 multiple 0 none Lbc_103:- endevent
//event Kwc_M:event1 multiple 0 none endevent
event t505:event2 multiple 0 none CzS_R1_s2 endevent
event start_os:event1 multiple 0 none start_os endevent
event t114:event1 multiple 0 none Bln_23:- Bln_M_s10 endevent
event jaw_te1:event1 multiple 0 none odjazd_04:event2 endevent
event start_rs-os2:event1 multiple 0 none start_rs endevent
event t510:event2 multiple 0 none CzS_K5_s11 endevent
event miejsce_dla_wjezdzajacego:event2 multiple 0 none CzS_Z_s5 endevent
//Ra 2FCV: dalej jedzie na Kucelink i Koniecpol, do Osobowej si nie zapuszcza
event CzS_P2:event1 multiple 60 none CzS_24:- CzS_19:+ CzS_14:+ CzS_13:- CzS_5:+ CzS_4:+ CzS_F2_s10 endevent //Ra 2G9M: na Lublin
event Bln_Tm4:event1 multiple 0 none Bln_4:ac Bln_W_s3 Bln_W_w19 endevent
event t513:event2 multiple 0 none Bln_C_s2 Bln_D_s6 endevent
event t312:event2 multiple 0 none Gn_It2=Bln2 Gn_It2:loop endevent

